﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RGBController2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
        }

        private void LightingModeSelection_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            int selectedLightingMode = lightingModeSelectionComboBox.SelectedIndex;
            switch (selectedLightingMode)
            {
                case 0: // Static
                    LightingModeFrame.Source = new Uri("Static.xaml", UriKind.Relative);
                    break;
                case 1: // Animation
                    LightingModeFrame.Source = new Uri("Animation.xaml", UriKind.Relative);
                    break;
            }
        }
    }
}
